<!--
 * @Author: qiminghui 228917479@qq.com
 * @Date: 2022-11-10 15:56:26
 * @LastEditors: LuLu
 * @LastEditTime: 2023-05-18 17:19:41
 * @FilePath: \cim-xian\src\views\outViews\InvestmentProgress.vue
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
-->
<template>
  <div>
    <div v-if="InvestmentProgressStatus" id="InPr-rightBar" style="position: fixed;right: 200px;    top: 130px;">
      <span v-for="(item, index) in Bartitles" :key="index" :class="item.hasChosed ? 'barChosed barTitile' : 'barTitile'"
        @click="changeBar(item)">
        {{ item.name }}
      </span>
    </div>
    <div v-if="InvestmentProgressStatus" id="InPr-MainDetail" style="position: fixed;right: 110px;top: 300px;">
      <!-- <div class="closeBtn" @click="closeWindow">x</div> -->
      <div class="detail-title">{{ InPrTitle }}</div>
      <div class="type1Detail" v-show="(chosedIndex == 1 || chosedIndex == 2)">
        <div class="detail-mouth"><span>1-2月</span></div>
        <div class="detail-item">
          <span v-for="(item, index) in topItem" :key="index" style="display: inline-block;margin-right:30px  ">
            <img :src="item.url" style="width: 110px; height: 76px; display: inline-block" />
            <span style="display: inline-block;vertical-align: middle;">
              <p>
                <font>{{ item.count }}</font>{{ item.unit }}
              </p>
              <p>{{ item.content }}</p>
            </span>
          </span>
        </div>
        <div id="InPr-EchartsDom">

        </div>
      </div>
      <div class="type2Detail" v-show="chosedIndex == 3">
        <div class="slider" style="width:85%;height:150px;margin:0 auto">
          <div class="underSlider">
            <div class="upSlider"></div>
            <div class="nowPlaceIcon" @mousedown="draggableFun"></div>
            <div class="contentMsg">
              <span v-for="(item, index) in nodeArr" :key="index" :style="getOnePosit(item, index)">
                <font></font>
                <p>{{ item.time }}</p>
                <p>{{ item.content }}</p>
              </span>
            </div>
          </div>
        </div>
        <div class="detail-title">节点完成情况</div>
        <div style="margin: 15px 40px;    display: flex;
    justify-content: space-between;">
          <p style="display:inline-block">
            <span :class="chosedNode == 1 ? 'chosedNode choseNode' : 'choseNode'" @click="chosedNode = 1">关键节点</span>
            <span :class="chosedNode == 2 ? 'chosedNode choseNode' : 'choseNode'" @click="chosedNode = 2">二级节点</span>
          </p>
          <p class="rightCountBar" style="display:inline-block">
            <span v-for="(item, index) in nodeCOuntArr" :key="index">{{ item.name }}<font>{{ item.count }}</font></span>
          </p>
        </div>
        <div class="InPr-table">
          <div class="InPr-table-header">
            <span class="part1">项目名称</span>
            <span class="part1">最近履约评价</span>
            <span class="part1">责任人</span>
            <span class="part4">关键节点完成情况</span>
          </div>
          <div class="InPr-table-content">
            <p v-for="(item, index) in nodeDateArr" :key="index" style="display:flex;">
              <span class="part1">{{ item.name }}</span>
              <span class="part1" style="color:#00E5ED;font-size: 24px;
font-family: Arial;
font-weight: 400;">{{ item.number || '-' }}</span>
              <span class="part1">{{ item.people }}</span>
              <span class="part4">
                <div class="complate" :style="getWidthLength(item, item.complite)"></div>
                <div class="uncomplate" :style="getWidthLength(item, item.uncomplite)"></div>
                <div class="unStart" :style="getWidthLength(item, item.unStart)"></div>
              </span>

            </p>
          </div>
          <div class="InPr-table-bottom">
            <p><span style="background-image: linear-gradient(to right,#ffffff00, #0AEFB6);
"></span>完成</p>
            <p><span style="background-image: linear-gradient(to right,#ffffff00, #A76BFA);
"></span>逾期</p>
            <p><span style="background-image: linear-gradient(to right,#ffffff00, #DBDBDB)"></span>未开始</p>
          </div>
        </div>
        <div>

        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  data() {
    return {
      canPQ: false,
      InvestmentProgressStatus: true,
      chosedNode: 1,
      Bartitles: [
        {
          name: "年度形象进度曲线",
          index: 1,
          hasChosed: true,
        },
        {
          name: "年度资金支付曲线",
          index: 2,
          hasChosed: false,
        },
        {
          name: "华侨城一期项目",
          index: 3,
          asChosed: false,
        },
      ],
      InPrTitle: '年度形象进度投资曲线',
      topItem: [
        {
          url: require("@/assets/img/outViewer/top1.png"),
          count: "8.4",
          unit: "亿元",
          content: "财政指标",
        },
        {
          url: require("@/assets/img/outViewer/top2.png"),
          count: "19.3%",
          unit: "",
          content: "财政指标执行进度",
        },
        {
          url: require("@/assets/img/outViewer/top3.png"),
          count: "2",
          unit: "个百分点",
          content: "超时序进度",
        },
      ],
      nowPace: 3,
      nodeArr: [
        {

          time: '2022.01.02',
          content: '基础设施完工'

        },
        {
          time: '2022.02.02',
          content: '主题结构完成50%'

        },
        {
          time: '2022.10.02',
          content: '主体结构完工'
        },
        {
          time: '2022.11.02',
          content: '竣工验收'
        },
        {
          time: '2022.12.02',
          content: '工程结算'
        },

      ],
      nodeCOuntArr: [
        {
          name: '参建单位',
          count: 2
        },
        {
          name: '节点总数',
          count: 6
        },
        {
          name: '逾期总数',
          count: 2
        },
        {
          name: '临期总数',
          count: 0
        },
      ],
      nodeDateArr: [
        {
          name: '教育工程管理',
          number: '',
          people: '陈淑桦',
          complite: 4,
          uncomplite: 0,
          unStart: 0,
        },
        {
          name: '深圳市天健',
          number: '8.4',
          people: '王桦',
          complite: 4,
          uncomplite: 2,
          unStart: 2,
        }
      ],
      deatilStatus: true,
      chosedIndex: 1,

      cUnderPrent: 50

    };
  },
  watch: {
    chosedIndex: function (newVal, oldVal) {
      this.changeBarMain(newVal);
    },
    nowPace: function (newVal, oldVal) {
      this.changeslider();
    },
    chosedNode: function (newVal, oldVal) {
      this.changeChosedNode(newVal);
    },
  },
  methods: {
    closeWindow() {
      this.$emit('closeWindow');
      debugger;
      if (window.BIM) {
        window.BIM.DisableClip();
      }
    },
    draggableFun(e) {
      let odiv = e.target; //获取目标元素

      //算出鼠标相对元素的位置
      let disX = e.clientX - odiv.offsetLeft;
      // let disY = e.clientY - odiv.offsetTop + 18;
      document.onmousemove = (e) => { //鼠标按下并移动的事件
        //用鼠标的位置减去鼠标相对元素的位置，得到元素的位置
        let left = e.clientX - disX;
        // let top = e.clientY - disY;

        //绑定元素位置到positionX和positionY上面
        this.positionX = top;
        // this.positionY = left;
        if (left >= 0 && left <= parseInt($('.underSlider').css('width').split('px')[0])) {
          $('.upSlider').css('width', left + 'px');
          $('.nowPlaceIcon').css('left', left + 'px');
          //移动当前元素
          // odiv.style.left = left + 'px';
          // odiv.style.top = top + 'px';
          this.changeBuildLayer(left)
        }
      };
      document.onmouseup = (e) => {
        document.onmousemove = null;
        document.onmouseup = null;
      };

    },
    changeBuildLayer(left) {
      var UnderPrent = left / parseInt($('.underSlider').css('width').split('px')[0]) * 100;
      UnderPrent *= 1.28
      let fineStage = window.BIM;
      if (fineStage && this.canPQ === true) {
        let distance = this.cUnderPrent = UnderPrent;
        fineStage.SetClipPlane(window.clipTransformInverse, { x: 0, y: 0, z: -1, d: distance });
      }
    },
    changeslider() {
      let left = (this.nowPace - 1) / (this.nodeArr.length - 1) * 100
      $('.upSlider').css('width', left + '%');
      $('.nowPlaceIcon').css('left', left + '%');
    },
    getOnePosit(item, index) {
      var left = index / (this.nodeArr.length - 1) * 100
      return 'left:' + left + '%'
    },
    getWidthLength(item, val) {
      var long = 0
      var total = item.complite + item.uncomplite + item.unStart

      long = val / total * 100
      return 'width:' + long + '%'
    },
    changeBar(data) {
      this.Bartitles.forEach((val) => {
        val.hasChosed = false;
      });
      data.hasChosed = true;
      this.chosedIndex = data.index;
      console.log(this.chosedIndex)
    },
    changeChosedNode(index) {
      switch (index) {
        case 2:
          this.nodeDateArr = [
            {
              name: '中学工程',
              number: '9.5',
              people: '陈淑',
              complite: 4,
              uncomplite: 0,
              unStart: 0,
            },
            {
              name: '西安市住建',
              number: '8',
              people: '刘桦',
              complite: 4,
              uncomplite: 3,
              unStart: 1,
            }
          ]
          break;

        default:
          this.nodeDateArr = [
            {
              name: '教育工程管理',
              number: '',
              people: '陈淑桦',
              complite: 4,
              uncomplite: 0,
              unStart: 0,
            },
            {
              name: '西安市天健',
              number: '8.4',
              people: '王桦',
              complite: 4,
              uncomplite: 2,
              unStart: 2,
            }
          ]
          break;
      }
    },
    changeBarMain(index) {
      switch (index) {
        case 2:
          this.InPrTitle = '年度资金支付曲线'
          this.topItem = [
            {
              url: require("@/assets/img/outViewer/top1.png"),
              count: "10",
              unit: "亿元",
              content: "财政指标",
            },
            {
              url: require("@/assets/img/outViewer/top2.png"),
              count: "25%",
              unit: "",
              content: "财政指标执行进度",
            },
            {
              url: require("@/assets/img/outViewer/top3.png"),
              count: "3",
              unit: "个百分点",
              content: "超时序进度",
            },
          ]
          this.initEchartsDom2()
          break;
        case 3:
          this.InPrTitle = '关键节点进度'
          let item = window.currentNode;
          if (item && item.sourceType === "bim") {
            this.canPQ = true;
            let bimObj = item;
            let fineStage = window.BIM;
            let center = Cesium.Cartesian3.fromDegrees(Number(bimObj.x), Number(bimObj.y), 0);
            let modelMatrix = Cesium.Transforms.eastNorthUpToFixedFrame(center);
            if (fineStage) {
              fineStage.EnableClip(true);
              let clipTransformInverse = new Cesium.Matrix4();
              Cesium.Matrix4.inverse(modelMatrix, clipTransformInverse);
              window.clipTransformInverse = clipTransformInverse;

              fineStage.SetClipPlane(clipTransformInverse, { x: 0, y: 0, z: -1, d: this.cUnderPrent });
            }
          }

          console.log('剖切参数', this.$store.state.currentSelectNode)

          break;
        default:
          this.initEchartsDom();
          this.InPrTitle = '年度形象进度投资曲线'
          this.topItem = [
            {
              url: require("@/assets/img/outViewer/top1.png"),
              count: "8.4",
              unit: "亿元",
              content: "财政指标",
            },
            {
              url: require("@/assets/img/outViewer/top2.png"),
              count: "19.3%",
              unit: "",
              content: "财政指标执行进度",
            },
            {
              url: require("@/assets/img/outViewer/top3.png"),
              count: "2",
              unit: "个百分点",
              content: "超时序进度",
            },
          ]
          this.initEchartsDom()
          break;
      }
    },
    initEchartsDom2() {
      var myChart = this.$echarts.init(
        document.getElementById("InPr-EchartsDom")
      );
      var echarts = this.$echarts;


      var option = {
        legend: {
          right: '10%',
          textStyle: {
            color: "#fff",
          }
        },

        tooltip: {},
        grid: {
          top: '30px',
          left: '80px',
          right: '50px',
          bottom: '30px',
        },
        xAxis: {
          type: "category",

          boundaryGap: true,


          axisLine: {
            show: false,
            lineStyle: {
              // 设置y轴颜色
              color: "#fff",
            },
          },
          data: ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12']
        },
        yAxis: [{
          // type: "value",
          boundaryGap: false,
          name: "单位：亿元",
          axisLine: {
            show: false,
            lineStyle: {
              color: "#fff",
            },
          },
          splitLine: {
            show: false,
            lineStyle: {
              color: "rgba(208, 212, 218, 0.4)",
            },
          },
          axisTick: {
            show: false,
          },
        }, {
          boundaryGap: false,
          name: "单位：%",
          mix: 0,
          max: 100,
          interval: 1,
          axisLine: {
            show: false,
            lineStyle: {
              color: "#fff",
            },
          },
          splitLine: {
            show: false,
            lineStyle: {
              color: "rgba(208, 212, 218, 0.4)",
            },
          },
          axisLabel: {
            formatter: '{value} %'
          },
          axisTick: {
            show: false,
          },
        }
        ],

        series: [
          {
            type: "bar",
            name: '财政指标',
            barWidth: 18,
            data: [10, 5,],
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  { offset: 0, color: "#004EEF" },
                  { offset: 1, color: "#004EEF20" },
                ]),
              },
            },
          },
          {
            type: "bar",
            name: '实际支付',
            data: [15, 8,],
            barWidth: 18,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  { offset: 0, color: "#00E588" },
                  { offset: 1, color: "#00E58820" },
                ]),
              },
            },
          },
          {
            type: "bar",
            barWidth: 18,
            name: '资金需求',
            data: [10, 15, 30, 31, 35, 40, 30, 30, 31, 32, 23, 12],
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  { offset: 0, color: "#EDEDED" },
                  { offset: 1, color: "#EDEDED20" },
                ]),
              },
            },
          },
          {
            type: "line",
            // smooth: true,
            name: '时序进度',
            data: [5, 10, 20, 25, 30, 34, 40, 50, 60, 70, 80, 90],
            showSymbol: true,
            lineStyle: {
              type: 'dashed'
            },
            itemStyle: {
              normal: {
                color: '#F46612'
              },

            }
          },
          {
            type: "line",
            // smooth: true,
            showSymbol: true,
            name: '财政指标执行进度',
            data: [6, 12,],
            lineStyle: {
              with: '5px',
              type: 'dashed'
            },
            itemStyle: {
              normal: {
                color: '#01E287'
              }
            }
          }
        ],
      }

      myChart.setOption(option);
    },
    initEchartsDom() {
      var myChart = this.$echarts.init(
        document.getElementById("InPr-EchartsDom")
      );
      var echarts = this.$echarts;


      var option = {
        legend: {
          right: '10%',
          textStyle: {
            color: "#fff",
          }
        },

        tooltip: {},
        grid: {
          top: '30px',
          left: '80px',
          right: '50px',
          bottom: '30px',
        },
        xAxis: {
          type: "category",

          boundaryGap: true,


          axisLine: {
            show: false,
            lineStyle: {
              // 设置y轴颜色
              color: "#fff",
            },
          },
          data: ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12']
        },
        yAxis: [{
          // type: "value",
          boundaryGap: false,
          position: 'left',
          name: "单位：亿元",
          axisLine: {
            show: false,
            lineStyle: {
              color: "#fff",
            },
          },
          splitLine: {
            show: false,
            lineStyle: {
              color: "rgba(208, 212, 218, 0.4)",
            },
          },
          axisTick: {
            show: false,
          },
        }, {
          position: 'right',
          boundaryGap: false,
          name: "单位：%",
          mix: 0,
          max: 100,
          interval: 1,
          axisLine: {
            show: false,
            lineStyle: {
              color: "#fff",
            },
          },
          splitLine: {
            show: false,
            lineStyle: {
              color: "rgba(208, 212, 218, 0.4)",
            },
          },
          axisLabel: {
            formatter: '{value} %'
          },
          axisTick: {
            show: false,
          },
        }
        ],

        series: [
          {
            type: "bar",
            name: '计划完成投资',
            barWidth: 18,
            data: [10, 5, 15, 20, 26, 20, 21, 19, 16, 18, 6, 5],
            itemStyle: {
              normal: {
                // color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                //   { offset: 0, color: "#004EEF" },
                //   { offset: 1, color: "#004EEF20" },
                // ]),
                color: function (params) {
                  if (params.dataIndex < 2) {
                    return new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                      { offset: 0, color: "#004EEF" },
                      { offset: 1, color: "#004EEF20" },
                    ])
                  } else {
                    return new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                      { offset: 0, color: "#004EEF60" },
                      { offset: 1, color: "#004EEF20" },
                    ])
                  }
                  // var colorList = ['#FF6161','#77DDCC'];
                  // return colorList[params.dataIndex]
                }
              },
            },
          },
          {
            type: "bar",
            name: '实际完成投资',
            data: [12, 8,],
            barWidth: 18,
            itemStyle: {
              normal: {
                color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  { offset: 0, color: "#00E588" },
                  { offset: 1, color: "#00E58820" },
                ]),
              },
            },
          },
          {
            type: "line",
            barWidth: 18,
            name: '计划投资完成率',
            data: [8, 16, 24, 32, 40, 48, 56, 64, 72, 80, 88, 100],
            lineStyle: {
              with: '5px',
              type: 'dashed'
            },
            itemStyle: {
              normal: {
                color: '#004EEF'
              }
            }
          },
          {
            type: "line",
            // smooth: true,
            showSymbol: true,
            name: '实际投资完成率',
            data: [8, 16],
            lineStyle: {
              with: '10px',
              type: 'dashed'
            },
            itemStyle: {
              normal: {
                color: '#01E287'
              }
            }
          },
          {
            type: "line",
            // smooth: true,
            name: '时序进度',
            data: [5, 10, 20, 25, 30, 34, 40, 50, 60, 70, 80, 90],
            showSymbol: true,
            lineStyle: {
              type: 'dashed'
            },
            itemStyle: {
              normal: {
                color: '#F46612'
              },

            }
          },

        ],
      }

      myChart.setOption(option);
    },
  },
  created() { },
  mounted() {

    this.initEchartsDom();
    this.changeslider();


  },
};
</script>
<style lang="less" scoped>
.slider {
  .underSlider {
    position: relative;
    width: 100%;
    margin-top: 50px;
    height: 40px;
    background: url(~@/assets/img/outViewer/up.png);
    background-size: 100% 100%;
  }

  .upSlider {
    position: absolute;

    height: 40px;


    background: url(~@/assets/img/outViewer/under.png) no-repeat;
    background-size: 100% 100%;
  }

  .nowPlaceIcon {
    cursor: pointer;
    width: 30px;
    z-index: 99999;
    height: 40px;
    margin-left: -15px;
    position: absolute;

    background-size: 100% 100%;
    background: url(~@/assets/img/outViewer/nowPlace.png) !important
  }

  .contentMsg {
    width: 100%;
    position: absolute;

    span {
      width: 150px;
      margin-left: -75px;
      margin-top: 50px;
      position: absolute;
      color: #fff;
      text-align: center;

      font {
        position: absolute;
        /* top: 0; */
        top: -40px;
        bottom: 30px;
        left: 50px;
        width: 45px;
        height: 45px;
        display: block;
        background: url(~@/assets/img/outViewer/point.png)
      }
    }
  }
}

.complate {
  display: inline-block;
  height: 20px;
  margin-top: 10px;

  background-image: linear-gradient(to right, #ffffff00, #0AEFB6);
  border-radius: 10px;

}

.uncomplate {
  display: inline-block;
  height: 20px;
  margin-top: 10px;
  border-radius: 10px;

  background-image: linear-gradient(to right, #ffffff00, #A76BFA);
}

.unStart {
  display: inline-block;
  height: 20px;
  margin-top: 10px;
  border-radius: 10px;

  background-image: linear-gradient(to right, #ffffff00, #DBDBDB);
}

.InPr-table {
  width: 1140px;
  line-height: 40px;
  text-align: center;
  font-size: 16px;
  font-family: Source Han Sans CN;
  font-weight: 500;
  color: #FFFFFF;
  margin: 0 auto;

  .InPr-table-header {
    display: flex;
    width: 100%;
    height: 40px;
    background-image: url('~@/assets/img/outViewer/tableHead.png');
    background-size: 100% 135%;
    background-position-y: -5px;
    background-repeat: no-repeat;
  }

  .part1 {
    display: inline-block;
    width: 15%;
    height: 40px;
    border: 1px solid #ffffff16;
    background-color: #3a69fa12;
  }

  .part4 {
    display: inline-block;
    width: 54%;
    height: 40px;
    border: 1px solid #ffffff16;
    background-color: #3a69fa12;
  }
}

.InPr-table-bottom {
  float: right;

  p {
    display: inline-block;
    margin: 0 10px;

    span {

      display: inline-block;
      width: 20px;
      height: 10px;
      border-radius: 5px;
      margin-top: 10px;
      margin-right: 10px;
    }
  }
}

.rightCountBar {
  margin-right: 0px;

  span {
    font-size: 16px;
    font-family: Source Han Sans CN;
    font-weight: 400;
    color: #FFFFFF;
    line-height: 22px;
    margin: 0 5px;

    font {
      font-size: 24px;
      font-family: Arial;
      font-weight: 400;
      font-style: italic;
      color: #00E5ED;
      line-height: 14px;
      margin: 0 10px;
    }
  }
}

.choseNode {
  display: inline-block;
  width: 115px;
  height: 36px;
  background-image: url('~@/assets/img/outViewer/choseNode.png');
  background-size: 100% 100%;
  font-size: 16px;
  font-family: Source Han Sans CN;
  font-weight: 500;
  color: #00E5ED;
  line-height: 36px;
  text-align: center;
}

.chosedNode {

  background-image: url('~@/assets/img/outViewer/chosedNode.png');
}

.detail-title {
  width: 172px;
  margin-left: 35px;
  margin-top: 20px;
  color: #fff;
  font-family: Source Han Sans CN;
  font-weight: bold;
  color: #feffff;
  height: 11px;
  background: linear-gradient(90deg, #28deff60 0%, rgba(0, 0, 0, 0) 100%);
  // opacity: 0.6;
  line-height: 0;
  font-size: 16px;
}

.detail-item {
  color: #fff;
  margin-left: 30px;

  font {
    font-size: 32px;
    font-family: Arial;
    font-weight: bold;
    font-style: italic;
    color: #ebbe43;
    line-height: 14px;
  }
}

.detail-mouth {
  width: 80px;
  height: 30px;
  padding: 5px;
  font-size: 20px;
  font-family: Arial;
  font-weight: 400;
  color: #FCFFFF;
  background: url(~@/assets/img/outViewer/mouth.png);
  background-size: 100% 100%;
  line-height: 30px;
  text-align: center;
  margin: 10px 40px;
}

#InPr-rightBar {
  position: absolute;
  right: 100px;
  z-index: 999;
  top: 100px;

  span {
    display: inline-block;
    width: 264px;
    height: 42px;
    margin: 0 8px;
    text-align: center;
    font-size: 20px;
    font-family: Source Han Sans CN;
    font-weight: bold;
    color: #ffffff;
    line-height: 42px;
    cursor: pointer;
  }

  .barTitile {
    background-image: url(~@/assets/img/outViewer/264_42.png);
    background-size: 100% 100%;
  }

  .barChosed {
    background-image: url(~@/assets/img/outViewer/275_53.png);
    background-size: 100% 120%;
    background-repeat: no-repeat;
    background-position-y: 54%;
  }
}

#InPr-MainDetail {
  position: absolute;
  bottom: 56px;
  right: 93px;
  z-index: 999;
  width: 1220px;
  height: 511px;
  background-image: url(~@/assets/img/outViewer/1220_511.png);
  background-size: 100% 100%;
}

#InPr-EchartsDom {
  width: 1220px;
  height: 310px;
  margin-top: 30px;
}

.closeBtn {
  position: absolute;
  right: 16px;
  top: 10px;
  cursor: pointer;
}
</style>
